/*
 * 作成日: 2005/02/18
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.actions.xmo.Base;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.ntt.lms.Common.Bean.xmo.Base.ShowLoPropertyBean;
import jp.co.ntt.lms.xmf.tools.URLTool;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author yasu
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class ShowLoPropertyAction extends Action
{

    /* (非 Javadoc)
     * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response) throws Exception
    {
        ShowLoPropertyBean myBean = new ShowLoPropertyBean();
        
    	//リクエストを処理する
    	myBean.prosessRequest(request,response);

    	StringBuffer xmoParamBuff = new StringBuffer();

    	xmoParamBuff.append(myBean.getBaseData().getReturnURL());
    	xmoParamBuff.append("?ini_menu=");
    	xmoParamBuff.append(iniMenuUrlEncode(myBean.getBaseData().getIniMenu()));
    	xmoParamBuff.append("&treepath=");
    	xmoParamBuff.append(urlEncode(myBean.getBaseData().getTreepath()));
    	xmoParamBuff.append("&learner=");
    	xmoParamBuff.append(myBean.getBaseData().getLearner());
    	xmoParamBuff.append("&tree_view_type=");
    	xmoParamBuff.append(myBean.getBaseData().getTreeViewType());
    	
    	request.setAttribute("xmo_parameter", xmoParamBuff.toString());
    	request.setAttribute("lo_property_bean", myBean);
        
        return mapping.findForward("success");
    }
    
    private String iniMenuUrlEncode(String target) throws Exception
    {
        URLTool urltool = new URLTool();
        return urltool.iniMenuUrlEncode(target);
    }
    
    private String urlEncode(String target) throws Exception
    {
        URLTool urltool = new URLTool();
        return urltool.encodeURL(target);
    }
}
